/*
 *	linux/fs/rbf/rbf_block.h
 *	RBF File System - definitions for block-based dir operations
 *	
 *	Copyright (C) 2001 Andrew Cannon <ajc@gmx.net>
 * 	
 *  This file is subject to the terms and conditions of the
 *  GNU General Public License. See the file COPYING in the
 *  main directory of this archive for more details.
 */


#define rbf_find_entry		rbfb_find_entry
#define rbf_dotdot		rbfb_dotdot
#define rbf_release_entry	rbfb_release_entry
#define rbf_inode_by_name	rbfb_inode_by_name
#define rbf_set_link		rbfb_set_link
#define rbf_add_link		rbfb_add_link
#define rbf_delete_entry	rbfb_delete_entry
#define rbf_make_empty		rbfb_make_empty
#define rbf_empty_dir		rbfb_empty_dir

struct rbf_dirent *rbf_find_entry(struct inode *dir, struct dentry *dentry, struct buffer_head **res_bh);
struct rbf_dirent *rbf_dotdot(struct inode *dir, struct buffer_head **res_bh);
void rbf_release_entry(struct buffer_head *bh);
ino_t rbf_inode_by_name(struct inode *dir, struct dentry *dentry);
void rbf_set_link(struct inode *dir, struct rbf_dirent *de, struct buffer_head *bh, struct inode *inode);
int rbf_add_link(struct dentry *dentry, struct inode *inode);
int rbf_delete_entry (struct inode *dir, struct rbf_dirent *de, struct buffer_head *bh);
int rbf_make_empty(struct inode *dir, struct inode *parent);
int rbf_empty_dir(struct inode *dir);
